Subject: Re: linux-next: manual merge of the block tree with the ide and kspp-gustavo trees

From: Andy Shevchenko <[email-masked]>
Date: Mon, 28 Jun 2021 14:36:16 +0300

On Mon, Jun 21, 2021 at 10:30:45PM +1000, Stephen Rothwell wrote:
> On Mon, 21 Jun 2021 13:56:13 +0300 Andy Shevchenko <[email-masked]> wrote:
> > On Mon, Jun 21, 2021 at 7:13 AM Stephen Rothwell <[email-masked]> wrote:
> > 
> > >   2c8cbe0b2971 ("IDE SUBSYSTEM: Replace HTTP links with HTTPS ones")
> > >   9a51ffe845e4 ("ide: use generic power management")
> > >   f9e09a0711ca ("ide: sc1200: use generic power management")
> > >   d41b375134a9 ("ide: delkin_cb: use generic power management")
> > >   6800cd8cbc6e ("ide-acpi: use %*ph to print small buffer")
> > >   731d5f441e1c ("ide: Fix fall-through warnings for Clang")
> > >
> > > from the ide and kspp-gustavo trees and commits:  
> > 
> > As far as I can tell the IDE hasn't sent PR to LInus for a long time
> > (like a few release cycles). I don't know what happened there, though.
> 
> Yeah, the top commit in the ide tree (which is intended to hold bug
> fixes for Linus' tree) is dated 4 Aug 2020, so hopefully this will
> prompt Dave to do something with it.  There has been no ide "future
> development" tree in linux-next since 2011.

Yep, I think the best approach here may be to apply those (by sending a PR)
followed by marking subsystem orphaned or delete it entirely.

David, what are your thoughts?

-- 
With Best Regards,
Andy Shevchenko